- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# TAO::Portable_Server::ServantRetentionStrategyNonRetain Class Reference

`#include <ServantRetentionStrategyNonRetain.h>`

Inheritance diagram for TAO::Portable_Server::ServantRetentionStrategyNonRetain:

[legend]
Collaboration diagram for TAO::Portable_Server::ServantRetentionStrategyNonRetain:

[legend]
List of all members.

## Public Member Functions
| ServantRetentionStrategyNonRetain (void)
virtual void | strategy_init (TAO_Root_POA *poa)
virtual void | strategy_cleanup ()
CORBA::ULong | waiting_servant_deactivation (void) const
virtual PortableServer::ObjectId * | activate_object (PortableServer::Servant servant, CORBA::Short priority, int &wait_occurred_restart_call) throw (CORBA::SystemException, PortableServer::POA::ServantAlreadyActive, PortableServer::POA::WrongPolicy)
virtual void | activate_object_with_id (const PortableServer::ObjectId &id, PortableServer::Servant servant, CORBA::Short priority, int &wait_occurred_restart_call) throw (CORBA::SystemException, PortableServer::POA::ServantAlreadyActive, PortableServer::POA::ObjectAlreadyActive, PortableServer::POA::WrongPolicy)
virtual void | deactivate_object (const PortableServer::ObjectId &id)
virtual PortableServer::Servant | find_servant (const PortableServer::ObjectId &system_id)
virtual int | is_servant_in_map (PortableServer::Servant servant, int &wait_occurred_restart_call)
virtual PortableServer::ObjectId * | system_id_to_object_id (const PortableServer::ObjectId &system_id) throw (CORBA::SystemException, PortableServer::POA::WrongAdapter, PortableServer::POA::WrongPolicy)
virtual PortableServer::Servant | user_id_to_servant (const PortableServer::ObjectId &id) throw (CORBA::SystemException, PortableServer::POA::ObjectNotActive, PortableServer::POA::WrongPolicy)
CORBA::Object_ptr | id_to_reference (const PortableServer::ObjectId &id, bool indirect) throw (CORBA::SystemException, PortableServer::POA::ObjectNotActive, PortableServer::POA::WrongPolicy)
virtual TAO_SERVANT_LOCATION | servant_present (const PortableServer::ObjectId &system_id, PortableServer::Servant &servant)
virtual PortableServer::Servant | find_servant (const PortableServer::ObjectId &system_id, TAO::Portable_Server::Servant_Upcall &servant_upcall, TAO::Portable_Server::POA_Current_Impl &poa_current_impl)
virtual int | find_servant_priority (const PortableServer::ObjectId &system_id, CORBA::Short &priority)
virtual void | deactivate_all_objects () throw (CORBA::SystemException, PortableServer::POA::WrongPolicy)
virtual PortableServer::ObjectId * | servant_to_user_id (PortableServer::Servant servant) throw (CORBA::SystemException, PortableServer::POA::ServantNotActive, PortableServer::POA::WrongPolicy)
virtual CORBA::Object_ptr | servant_to_reference (PortableServer::Servant servant) throw (CORBA::SystemException, PortableServer::POA::ServantNotActive, PortableServer::POA::WrongPolicy)
virtual CORBA::Object_ptr | create_reference (const char *intf, CORBA::Short priority) throw (CORBA::SystemException, PortableServer::POA::WrongPolicy)
virtual CORBA::Object_ptr | create_reference_with_id (const PortableServer::ObjectId &oid, const char *intf, CORBA::Short priority) throw (CORBA::SystemException)
virtual int | rebind_using_user_id_and_system_id (PortableServer::Servant servant, const PortableServer::ObjectId &user_id, const PortableServer::ObjectId &system_id, TAO::Portable_Server::Servant_Upcall &servant_upcall)
virtual CORBA::Boolean | servant_has_remaining_activations (PortableServer::Servant servant)
virtual int | unbind_using_user_id (const PortableServer::ObjectId &user_id)
virtual ::PortableServer::ServantRetentionPolicyValue | type () const
## Protected Attributes
TAO_Root_POA * | poa_

## Constructor & Destructor Documentation

TAO::Portable_Server::ServantRetentionStrategyNonRetain::ServantRetentionStrategyNonRetain | ( | void |  | ) |

## Member Function Documentation

PortableServer::ObjectId * TAO::Portable_Server::ServantRetentionStrategyNonRetain::activate_object | ( | PortableServer::Servant | servant,
|  | CORBA::Short | priority,
|  | int & | wait_occurred_restart_call |
| ) |  |  | throw (CORBA::SystemException, PortableServer::POA::ServantAlreadyActive, PortableServer::POA::WrongPolicy)`[virtual]`

Implements TAO::Portable_Server::ServantRetentionStrategy.

Reimplemented in TAO::Portable_Server::ServantRetentionStrategyRetain.

void TAO::Portable_Server::ServantRetentionStrategyNonRetain::activate_object_with_id | ( | const PortableServer::ObjectId & | id,
|  | PortableServer::Servant | servant,
|  | CORBA::Short | priority,
|  | int & | wait_occurred_restart_call |
| ) |  |  | throw (CORBA::SystemException, PortableServer::POA::ServantAlreadyActive, PortableServer::POA::ObjectAlreadyActive, PortableServer::POA::WrongPolicy)`[virtual]`

Implements TAO::Portable_Server::ServantRetentionStrategy.

Reimplemented in TAO::Portable_Server::ServantRetentionStrategyRetain.

CORBA::Object_ptr TAO::Portable_Server::ServantRetentionStrategyNonRetain::create_reference | ( | const char * | intf,
|  | CORBA::Short | priority |
| ) |  |  | throw (CORBA::SystemException, PortableServer::POA::WrongPolicy)`[virtual]`

Implements TAO::Portable_Server::ServantRetentionStrategy.

Reimplemented in TAO::Portable_Server::ServantRetentionStrategyRetain.

CORBA::Object_ptr TAO::Portable_Server::ServantRetentionStrategyNonRetain::create_reference_with_id | ( | const PortableServer::ObjectId & | oid,
|  | const char * | intf,
|  | CORBA::Short | priority |
| ) |  |  | throw (CORBA::SystemException)`[virtual]`

Implements TAO::Portable_Server::ServantRetentionStrategy.

Reimplemented in TAO::Portable_Server::ServantRetentionStrategyRetain.

void TAO::Portable_Server::ServantRetentionStrategyNonRetain::deactivate_all_objects | ( |  | ) | throw (CORBA::SystemException, PortableServer::POA::WrongPolicy)`[virtual]`

Implements TAO::Portable_Server::ServantRetentionStrategy.

Reimplemented in TAO::Portable_Server::ServantRetentionStrategyRetain.

void TAO::Portable_Server::ServantRetentionStrategyNonRetain::deactivate_object | ( | const PortableServer::ObjectId & | id | ) | `[virtual]`

Implements TAO::Portable_Server::ServantRetentionStrategy.

Reimplemented in TAO::Portable_Server::ServantRetentionStrategyRetain.

PortableServer::Servant TAO::Portable_Server::ServantRetentionStrategyNonRetain::find_servant | ( | const PortableServer::ObjectId & | system_id,
|  | TAO::Portable_Server::Servant_Upcall & | servant_upcall,
|  | TAO::Portable_Server::POA_Current_Impl & | poa_current_impl |
| ) |  |  | `[virtual]`

Implements TAO::Portable_Server::ServantRetentionStrategy.

Reimplemented in TAO::Portable_Server::ServantRetentionStrategyRetain.

PortableServer::Servant TAO::Portable_Server::ServantRetentionStrategyNonRetain::find_servant | ( | const PortableServer::ObjectId & | system_id | ) | `[virtual]`

Implements TAO::Portable_Server::ServantRetentionStrategy.

Reimplemented in TAO::Portable_Server::ServantRetentionStrategyRetain.

int TAO::Portable_Server::ServantRetentionStrategyNonRetain::find_servant_priority | ( | const PortableServer::ObjectId & | system_id,
|  | CORBA::Short & | priority |
| ) |  |  | `[virtual]`

Implements TAO::Portable_Server::ServantRetentionStrategy.

Reimplemented in TAO::Portable_Server::ServantRetentionStrategyRetain.

CORBA::Object_ptr TAO::Portable_Server::ServantRetentionStrategyNonRetain::id_to_reference | ( | const PortableServer::ObjectId & | id,
|  | bool | indirect |
| ) |  |  | throw (CORBA::SystemException, PortableServer::POA::ObjectNotActive, PortableServer::POA::WrongPolicy)`[virtual]`

Implements TAO::Portable_Server::ServantRetentionStrategy.

Reimplemented in TAO::Portable_Server::ServantRetentionStrategyRetain.

int TAO::Portable_Server::ServantRetentionStrategyNonRetain::is_servant_in_map | ( | PortableServer::Servant | servant,
|  | int & | wait_occurred_restart_call |
| ) |  |  | `[virtual]`

Implements TAO::Portable_Server::ServantRetentionStrategy.

Reimplemented in TAO::Portable_Server::ServantRetentionStrategyRetain.

int TAO::Portable_Server::ServantRetentionStrategyNonRetain::rebind_using_user_id_and_system_id | ( | PortableServer::Servant | servant,
|  | const PortableServer::ObjectId & | user_id,
|  | const PortableServer::ObjectId & | system_id,
|  | TAO::Portable_Server::Servant_Upcall & | servant_upcall |
| ) |  |  | `[virtual]`

Implements TAO::Portable_Server::ServantRetentionStrategy.

Reimplemented in TAO::Portable_Server::ServantRetentionStrategyRetain.

CORBA::Boolean TAO::Portable_Server::ServantRetentionStrategyNonRetain::servant_has_remaining_activations | ( | PortableServer::Servant | servant | ) | `[virtual]`

Implements TAO::Portable_Server::ServantRetentionStrategy.

Reimplemented in TAO::Portable_Server::ServantRetentionStrategyRetain.

TAO_SERVANT_LOCATION TAO::Portable_Server::ServantRetentionStrategyNonRetain::servant_present | ( | const PortableServer::ObjectId & | system_id,
|  | PortableServer::Servant & | servant |
| ) |  |  | `[virtual]`

Implements TAO::Portable_Server::ServantRetentionStrategy.

Reimplemented in TAO::Portable_Server::ServantRetentionStrategyRetain.

CORBA::Object_ptr TAO::Portable_Server::ServantRetentionStrategyNonRetain::servant_to_reference | ( | PortableServer::Servant | servant | ) | throw (CORBA::SystemException, PortableServer::POA::ServantNotActive, PortableServer::POA::WrongPolicy)`[virtual]`

Implements TAO::Portable_Server::ServantRetentionStrategy.

Reimplemented in TAO::Portable_Server::ServantRetentionStrategyRetain.

PortableServer::ObjectId * TAO::Portable_Server::ServantRetentionStrategyNonRetain::servant_to_user_id | ( | PortableServer::Servant | servant | ) | throw (CORBA::SystemException, PortableServer::POA::ServantNotActive, PortableServer::POA::WrongPolicy)`[virtual]`

Implements TAO::Portable_Server::ServantRetentionStrategy.

Reimplemented in TAO::Portable_Server::ServantRetentionStrategyRetain.

void TAO::Portable_Server::ServantRetentionStrategyNonRetain::strategy_cleanup | ( |  | ) | `[virtual]`

Implements TAO::Portable_Server::Policy_Strategy.

Reimplemented in TAO::Portable_Server::ServantRetentionStrategyRetain.

void TAO::Portable_Server::ServantRetentionStrategyNonRetain::strategy_init | ( | TAO_Root_POA * | poa | ) | `[virtual]`

Implements TAO::Portable_Server::Policy_Strategy.

Reimplemented in TAO::Portable_Server::ServantRetentionStrategyRetain.

PortableServer::ObjectId * TAO::Portable_Server::ServantRetentionStrategyNonRetain::system_id_to_object_id | ( | const PortableServer::ObjectId & | system_id | ) | throw (CORBA::SystemException, PortableServer::POA::WrongAdapter, PortableServer::POA::WrongPolicy)`[virtual]`

Implements TAO::Portable_Server::ServantRetentionStrategy.

Reimplemented in TAO::Portable_Server::ServantRetentionStrategyRetain.

PortableServer::ServantRetentionPolicyValue TAO::Portable_Server::ServantRetentionStrategyNonRetain::type | ( |  | ) | const`[virtual]`

Implements TAO::Portable_Server::ServantRetentionStrategy.

Reimplemented in TAO::Portable_Server::ServantRetentionStrategyRetain.

int TAO::Portable_Server::ServantRetentionStrategyNonRetain::unbind_using_user_id | ( | const PortableServer::ObjectId & | user_id | ) | `[virtual]`

Implements TAO::Portable_Server::ServantRetentionStrategy.

Reimplemented in TAO::Portable_Server::ServantRetentionStrategyRetain.

PortableServer::Servant TAO::Portable_Server::ServantRetentionStrategyNonRetain::user_id_to_servant | ( | const PortableServer::ObjectId & | id | ) | throw (CORBA::SystemException, PortableServer::POA::ObjectNotActive, PortableServer::POA::WrongPolicy)`[virtual]`

Implements TAO::Portable_Server::ServantRetentionStrategy.

Reimplemented in TAO::Portable_Server::ServantRetentionStrategyRetain.

CORBA::ULong TAO::Portable_Server::ServantRetentionStrategyNonRetain::waiting_servant_deactivation | ( | void |  | ) | const`[virtual]`

Implements TAO::Portable_Server::ServantRetentionStrategy.

Reimplemented in TAO::Portable_Server::ServantRetentionStrategyRetain.

## Member Data Documentation

TAO_Root_POA* TAO::Portable_Server::ServantRetentionStrategyNonRetain::poa_`[protected]`

The documentation for this class was generated from the following files:

- ServantRetentionStrategyNonRetain.h
- ServantRetentionStrategyNonRetain.cpp